import request from '@/utils/request'

// 商户查询套餐列表
export function mchListSuit(query) {
  return request({
    url: '/mch/suit/list',
    method: 'get',
    params: query
  })
}

// 商户查询套餐详细
export function mchGetSuit(suitId) {
  return request({
    url: `/app/suit/${suitId}`,
    method: 'get'
  })
}

// 商户删除套餐
export function mchDelSuit(suitId) {
  return request({
    url: '/app/suit/' + suitId,
    method: 'delete'
  })
}

// 商户新增套餐
export function mchAddSuit(data) {
  return request({
    url: '/app/suit/',
    method: 'post',
    data
  })
}

// 商户修改套餐
export function mchUpdateSuit(data) {
  return request({
    url: '/app/suit/',
    method: 'put',
    data
  })
}
